// 版本 v1.0

TLClient.api.routerOpenURL = function(url, params) {
    if (TLClient.info.dev === 'ios') {
        window.webkit.messageHandlers.routerOpenURL.postMessage({"url": url, "params": params});
    } else {
        window.tl.postMessage(JSON.stringify({"url": url, "params": params}));
    }
};
TLClient.api.addInjectFinishEventListener = function(func) {
    document.addEventListener('tl_inject_finish', function(event) {
        func();
    }, false);
};
TLClient.api.dispatchInjectFinishEvent = function() {
    var event = document.createEvent('HTMLEvents');
    event.initEvent("tl_inject_finish", true, true);
    document.dispatchEvent(event);
};
TLClient.api.updateState = function() {
    const TLEnable = document.getElementsByTagName('meta')['tl-enable'];
    if (TLEnable != undefined) {
        TLClient.state.enable = TLEnable['content'] === "yes";
    }
};
TLClient.api.toDataUrl = function (url, callback) {
    var xhr = new XMLHttpRequest();
    xhr.onload = function() {
        var reader = new FileReader();
        reader.onloadend = function() {
            var data = reader.result;
            callback(data);
        }
        reader.readAsDataURL(xhr.response);
    };
    xhr.open('GET', url);
    xhr.responseType = 'blob';
    xhr.send();
};
TLClient.state.getEnable = function() {
    if (TLClient.state.enable == undefined) {
        TLClient.api.updateState();
    }
    return TLClient.state.enable;
};